# Maintainer: Antoni Aloy Torrens <aaloytorrens@gmail.com>
# Contributor: hiddeninthesand <hiddeninthesand at protonmail dot com>

pkgname='melonds'
_pkgname='melonDS'
pkgver='0.9.5'
pkgrel='0'
pkgdesc="DS emulator, sorta"
arch=('amd64')
makedepends=('build-essential' 'cmake' 'extra-cmake-modules' 'ninja-build' 'qtbase5-dev' 'qtbase5-private-dev' 'qtmultimedia5-dev' 'libcurl4-gnutls-dev' 'libpcap0.8-dev' 'libsdl2-dev' 'libarchive-dev' 'libepoxy-dev' 'libslirp-dev')
depends=('libqt5core5a' 'libqt5gui5' 'libqt5opengl5' 'libqt5sql5' 'libqt5multimedia5' 'libcurl4' 'libpcap0.8' 'libsdl2-2.0-0' 'libslirp0' 'libarchive13' 'libepoxy0')
license=('GPL3')
url="https://github.com/melonDS-emu/melonDS"
source=("${pkgname}-${pkgver}.tar.gz::https://github.com/melonDS-emu/melonDS/archive/refs/tags/${pkgver}.tar.gz")
sha256sums=('52c6b99340b8bba8c52b11a2242591f05e838c34ddd9ec20dcf1a6039405434a')
builddir=${_pkgname}-${pkgver}

build() {
	cd ${builddir}
	if [ "$CBUILD" != "$CHOST" ]; then
		CMAKE_CROSSOPTS="-DCMAKE_SYSTEM_NAME=Linux -DCMAKE_HOST_SYSTEM_NAME=Linux"
	fi
	cmake -B build -G Ninja \
		-DCMAKE_BUILD_TYPE=Release \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DUSE_QT5=ON \
		$CMAKE_CROSSOPTS
	cmake --build build
}

package() {
	cd "${builddir}"
	install -Dm755 "build/melonDS" "${pkgdir}/usr/bin/melonDS"

	for size in 16 32 64 128 256; do
		install -Dm644 "res/icon/melon_${size}x${size}.png" "${pkgdir}/usr/share/icons/hicolor/${size}x${size}/apps/melonDS.png"
	done
	sed "s/net.kuribo64.melonDS/melonDS/" -i "res/net.kuribo64.melonDS.desktop"
	install -Dm644 "res/net.kuribo64.melonDS.desktop" "${pkgdir}/usr/share/applications/melonDS.desktop"
}
